OGRE: Ogre::D3D9DeviceManager Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9DeviceManager Class Reference

Device manager interface. More...

`#include <OgreD3D9DeviceManager.h>`

Inheritance diagram for Ogre::D3D9DeviceManager:
[legend]

## Public Member Functions
| D3D9DeviceManager ()
| ~D3D9DeviceManager ()
void | destroyInactiveRenderDevices ()
D3D9Device * | getActiveDevice ()
D3D9Device * | getActiveRenderTargetDevice ()
D3D9Device * | getDevice (UINT index)
UINT | getDeviceCount ()
D3D9Device * | getDeviceFromD3D9Device (IDirect3DDevice9 *d3d9Device)
void | linkRenderWindow (D3D9RenderWindow *renderWindow)
void | notifyOnDeviceDestroy (D3D9Device *device)
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setActiveDevice (D3D9Device *device)
void | setActiveRenderTargetDevice (D3D9Device *device)

## Detailed Description

Device manager interface.

## Constructor & Destructor Documentation

## ◆ D3D9DeviceManager()

Ogre::D3D9DeviceManager::D3D9DeviceManager | ( |  | ) |

## ◆ ~D3D9DeviceManager()

Ogre::D3D9DeviceManager::~D3D9DeviceManager | ( |  | ) |

## Member Function Documentation

## ◆ destroyInactiveRenderDevices()

void Ogre::D3D9DeviceManager::destroyInactiveRenderDevices | ( |  | ) |

## ◆ getActiveDevice()

D3D9Device* Ogre::D3D9DeviceManager::getActiveDevice | ( |  | ) |

## ◆ getActiveRenderTargetDevice()

D3D9Device* Ogre::D3D9DeviceManager::getActiveRenderTargetDevice | ( |  | ) |

## ◆ getDevice()

D3D9Device* Ogre::D3D9DeviceManager::getDevice | ( | UINT | index | ) |

## ◆ getDeviceCount()

UINT Ogre::D3D9DeviceManager::getDeviceCount | ( |  | ) |

## ◆ getDeviceFromD3D9Device()

D3D9Device* Ogre::D3D9DeviceManager::getDeviceFromD3D9Device | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ linkRenderWindow()

void Ogre::D3D9DeviceManager::linkRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ notifyOnDeviceDestroy()

void Ogre::D3D9DeviceManager::notifyOnDeviceDestroy | ( | D3D9Device * | device | ) |

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setActiveDevice()

void Ogre::D3D9DeviceManager::setActiveDevice | ( | D3D9Device * | device | ) |

## ◆ setActiveRenderTargetDevice()

void Ogre::D3D9DeviceManager::setActiveRenderTargetDevice | ( | D3D9Device * | device | ) |

The documentation for this class was generated from the following file:

- OgreD3D9DeviceManager.h